public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-editors/gvim/
Date: Wed, 21 Jun 2023 07:04:22 +0000 (UTC)	[thread overview]
Message-ID: <1687331022.65db5add7f6c8eafe99088836584194377ac6969.juippis@gentoo> (raw)

commit:     65db5add7f6c8eafe99088836584194377ac6969
Author:     Oskari Pirhonen <xxc3ncoredxx <AT> gmail <DOT> com>
AuthorDate: Mon Jun 19 04:21:07 2023 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed Jun 21 07:03:42 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=65db5add

app-editors/gvim: add 9.0.1627

Bug: https://bugs.gentoo.org/906109
Signed-off-by: Oskari Pirhonen <xxc3ncoredxx <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-editors/gvim/Manifest             |   1 +
 app-editors/gvim/gvim-9.0.1627.ebuild | 360 ++++++++++++++++++++++++++++++++++
 2 files changed, 361 insertions(+)

diff --git a/app-editors/gvim/Manifest b/app-editors/gvim/Manifest
index 05db19b186cb..8f828a8a8724 100644
--- a/app-editors/gvim/Manifest
+++ b/app-editors/gvim/Manifest
@@ -1,3 +1,4 @@
 DIST vim-9.0.1403.tar.gz 16976705 BLAKE2B 9664d52de488086308fcbcda0b0a1167161afbf0efbb40dd9ce9e2393f0ada35e0a44d7f0c3f789d26ae1427604a281f689e87885fbb1557dce12a69898ec46d SHA512 bd83feba38a4aa9b3cf910a0b5a2c153abc4c6eaf9abf0ebee389879ff9ddee51c6f9dba5151aab5df3f73594cf8921d0a0e34121c50e65366cdcdd6482fd00f
 DIST vim-9.0.1503.tar.gz 17010118 BLAKE2B 4f74d52a3fcf7875031378f86fc3411c64c92e4b82bee371148b19042478d3f974793477c3fc2d9ddff9233fa1ec3c864962880840867544e92464f1a0876f51 SHA512 2f3242ec0f79cf6affc2f7fdaf689c35d8597706ac1689dbbdc01352676199605bb37f22bd901f1e8d59f312237d3fce4bee8b979b28a744ea9e40558621980e
+DIST vim-9.0.1627.tar.gz 17048824 BLAKE2B 3fa583cf676c2388641b1240ed4b90c2e42cd9f50ea44a943cce86bba4bf278adf54837bb5c4530471fd57cfcd08cd39be78b17a5e907435a02dc5874ff7f571 SHA512 d2fb863e03d4ad773fcba8917f3cd1e373f661aa8b8a20bd3e416a73788997d31c6dd106a1bf59d72475bb577bbe6d52eb079fff9c7152d96bb6e5c9aa6e2f3b
 DIST vim-patches-vim-9.0.1000-patches.tar.bz2 3245 BLAKE2B 3bf3d0e314cc3f96d5d9675de196a62c4c8a72645d56ef94b80768571c99cba5cc556442e3bd2dfa8818460fd851fe7bd1ae15999af7225fb271b81c43105843 SHA512 2883441a2001bf7ce89a7f0862f780b71cc0164c8fcb8dbdf7040e1bcbcf408d138d3d77f308aa54c762e9975fa5ec89cfceeabbf721344dfc938870a363667a

diff --git a/app-editors/gvim/gvim-9.0.1627.ebuild b/app-editors/gvim/gvim-9.0.1627.ebuild
new file mode 100644
index 000000000000..197a9f4c45b5
--- /dev/null
+++ b/app-editors/gvim/gvim-9.0.1627.ebuild
@@ -0,0 +1,360 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Please bump with app-editors/vim-core and app-editors/vim
+
+VIM_VERSION="9.0"
+VIM_PATCHES_VERSION="9.0.1000"
+
+LUA_COMPAT=( lua5-{1..4} luajit )
+PYTHON_COMPAT=( python3_{9..11} )
+PYTHON_REQ_USE="threads(+)"
+USE_RUBY="ruby27 ruby30 ruby31"
+
+inherit bash-completion-r1 flag-o-matic lua-single prefix python-single-r1 ruby-single toolchain-funcs vim-doc xdg-utils
+
+if [[ ${PV} == 9999* ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/vim/vim.git"
+	EGIT_CHECKOUT_DIR=${WORKDIR}/vim-${PV}
+else
+	SRC_URI="https://github.com/vim/vim/archive/v${PV}.tar.gz -> vim-${PV}.tar.gz
+		https://gitweb.gentoo.org/proj/vim-patches.git/snapshot/vim-patches-vim-${VIM_PATCHES_VERSION}-patches.tar.bz2"
+	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+fi
+S="${WORKDIR}"/vim-${PV}
+
+DESCRIPTION="GUI version of the Vim text editor"
+HOMEPAGE="https://www.vim.org https://github.com/vim/vim"
+
+LICENSE="vim"
+SLOT="0"
+IUSE="acl aqua crypt cscope debug lua minimal motif netbeans nls perl python racket ruby selinux session sound tcl"
+REQUIRED_USE="
+	lua? ( ${LUA_REQUIRED_USE} )
+	python? ( ${PYTHON_REQUIRED_USE} )
+	aqua? ( !motif )
+"
+
+RDEPEND="
+	~app-editors/vim-core-${PV}
+	>=app-eselect/eselect-vi-1.1
+	>=sys-libs/ncurses-5.2-r2:0=
+	x11-libs/libICE
+	x11-libs/libSM
+	x11-libs/libXext
+	x11-libs/libXt
+	acl? ( kernel_linux? ( sys-apps/acl ) )
+	!aqua? (
+		motif? ( >=x11-libs/motif-2.3:0 )
+		!motif? (
+			x11-libs/gtk+:3
+			x11-libs/libXft
+		)
+	)
+	crypt? ( dev-libs/libsodium:= )
+	cscope? ( dev-util/cscope )
+	lua? (
+		${LUA_DEPS}
+		$(lua_gen_impl_dep 'deprecated' lua5-1)
+	)
+	nls? ( virtual/libintl )
+	perl? ( dev-lang/perl:= )
+	python? ( ${PYTHON_DEPS} )
+	racket? ( dev-scheme/racket )
+	ruby? ( ${RUBY_DEPS} )
+	selinux? ( sys-libs/libselinux )
+	session? ( x11-libs/libSM )
+	sound? ( media-libs/libcanberra )
+	tcl? ( dev-lang/tcl:0= )
+"
+DEPEND="${RDEPEND}
+	x11-base/xorg-proto"
+# configure runs the Lua interpreter
+BDEPEND="
+	sys-devel/autoconf
+	virtual/pkgconfig
+	lua? ( ${LUA_DEPS} )
+	nls? ( sys-devel/gettext )
+"
+PDEPEND="!minimal? ( app-vim/gentoo-syntax )"
+
+if [[ ${PV} != 9999* ]]; then
+	# Gentoo patches to fix runtime issues, cross-compile errors, etc
+	PATCHES=(
+		"${WORKDIR}/vim-patches-vim-${VIM_PATCHES_VERSION}-patches"
+	)
+fi
+
+# various failures (bugs #630042 and #682320)
+RESTRICT="test"
+
+# platform-specific checks (bug #898450):
+# - acl()     -- Solaris
+# - statacl() -- AIX
+QA_CONFIG_IMPL_DECL_SKIP=(
+	'acl'
+	'statacl'
+)
+
+pkg_setup() {
+	# people with broken alphabets run into trouble. bug 82186.
+	unset LANG LC_ALL
+	export LC_COLLATE="C"
+
+	use lua && lua-single_pkg_setup
+	use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+	default
+
+	# Fixup a script to use awk instead of nawk
+	sed -i -e \
+		'1s|.*|#!'"${EPREFIX}"'/usr/bin/awk -f|' \
+		"${S}"/runtime/tools/mve.awk || die "mve.awk sed failed"
+
+	# Read vimrc and gvimrc from /etc/vim
+	echo '#define SYS_VIMRC_FILE "'${EPREFIX}'/etc/vim/vimrc"' \
+	    >> "${S}"/src/feature.h || die "echo failed"
+	echo '#define SYS_GVIMRC_FILE "'${EPREFIX}'/etc/vim/gvimrc"' \
+	    >> "${S}"/src/feature.h || die "echo failed"
+
+	# Use exuberant ctags which installs as /usr/bin/exuberant-ctags.
+	# Hopefully this pattern won't break for a while at least.
+	# This fixes bug 29398 (27 Sep 2003 agriffis)
+	sed -i -e \
+		's/\<ctags\("\| [-*.]\)/exuberant-&/g' \
+		"${S}"/runtime/doc/syntax.txt \
+		"${S}"/runtime/doc/tagsrch.txt \
+		"${S}"/runtime/doc/usr_29.txt \
+		"${S}"/runtime/menu.vim \
+		"${S}"/src/configure.ac || die 'sed failed'
+
+	# gcc on sparc32 has this, uhm, interesting problem with detecting EOF
+	# correctly. To avoid some really entertaining error messages about stuff
+	# which isn't even in the source file being invalid, we'll do some trickery
+	# to make the error never occur. bug 66162 (02 October 2004 ciaranm)
+	find "${S}" -name '*.c' | while read c; do
+	    echo >> "$c" || die "echo failed"
+	done
+
+	# Try to avoid sandbox problems. Bug #114475.
+	if [[ -d "${S}"/src/po ]]; then
+		sed -i -e \
+			'/-S check.vim/s,..VIM.,ln -s $(VIM) testvim \; ./testvim -X,' \
+			"${S}"/src/po/Makefile || die
+	fi
+
+	cp -v "${S}"/src/config.mk.dist "${S}"/src/auto/config.mk || die "cp failed"
+
+	# Fix bug 18245: Prevent "make" from the following chain:
+	# (1) Notice configure.ac is newer than auto/configure
+	# (2) Rebuild auto/configure
+	# (3) Notice auto/configure is newer than auto/config.mk
+	# (4) Run ./configure (with wrong args) to remake auto/config.mk
+	sed -i -e \
+		's# auto/config\.mk:#:#' src/Makefile || die "Makefile sed failed"
+	rm -v src/auto/configure || die "rm failed"
+
+	# --with-features=huge forces on cscope even if we --disable it. We need
+	# to sed this out to avoid screwiness. (1 Sep 2004 ciaranm)
+	if ! use cscope; then
+		sed -i -e \
+			'/# define FEAT_CSCOPE/d' src/feature.h || die "couldn't disable cscope"
+	fi
+}
+
+src_configure() {
+
+	# Fix bug 37354: Disallow -funroll-all-loops on amd64
+	# Bug 57859 suggests that we want to do this for all archs
+	filter-flags -funroll-all-loops
+
+	# Fix bug 76331: -O3 causes problems, use -O2 instead. We'll do this for
+	# everyone since previous flag filtering bugs have turned out to affect
+	# multiple archs...
+	replace-flags -O3 -O2
+
+	emake -j1 -C src autoconf
+
+	# This should fix a sandbox violation (see bug 24447). The hvc
+	# things are for ppc64, see bug 86433.
+	local file
+	for file in /dev/pty/s* /dev/console /dev/hvc/* /dev/hvc*; do
+		if [[ -e ${file} ]]; then
+			addwrite $file
+		fi
+	done
+
+	use debug && append-flags "-DDEBUG"
+
+	local myconf=(
+		--with-features=huge
+		--disable-gpm
+		--with-gnome=no
+		$(use_enable sound canberra)
+		$(use_enable acl)
+		$(use_enable crypt libsodium)
+		$(use_enable cscope)
+		$(use_enable netbeans)
+		$(use_enable nls)
+		$(use_enable perl perlinterp)
+		$(use_enable python python3interp)
+		$(use_with python python3-command "${PYTHON}")
+		$(use_enable racket mzschemeinterp)
+		$(use_enable ruby rubyinterp)
+		$(use_enable selinux)
+		$(use_enable session xsmp)
+		$(use_enable tcl tclinterp)
+	)
+
+	if use lua; then
+		# -DLUA_COMPAT_OPENLIB=1 is required to enable the
+		# deprecated (in 5.1) luaL_openlib API (#874690)
+		use lua_single_target_lua5-1 && append-cppflags -DLUA_COMPAT_OPENLIB=1
+
+		myconf+=(
+			--enable-luainterp
+			$(use_with lua_single_target_luajit luajit)
+			--with-lua-prefix="${EPREFIX}/usr"
+		)
+	fi
+
+	# Default is gtk unless aqua or motif are enabled
+	echo ; echo
+	if use aqua; then
+		einfo "Building gvim with the Carbon GUI"
+		myconf+=(
+			--enable-darwin
+			--enable-gui=carbon
+		)
+	elif use motif; then
+		einfo "Building gvim with the MOTIF GUI"
+		myconf+=( --enable-gui=motif )
+	else
+		myconf+=( --enable-gtk3-check )
+		einfo "Building gvim with the gtk+-3 GUI"
+		myconf+=( --enable-gui=gtk3 )
+	fi
+	echo ; echo
+
+	# let package manager strip binaries
+	export ac_cv_prog_STRIP="$(type -P true ) faking strip"
+
+	# keep prefix env contained within the EPREFIX
+	use prefix && myconf+=( --without-local-dir )
+
+	if tc-is-cross-compiler ; then
+		export vim_cv_getcwd_broken=no \
+			   vim_cv_memmove_handles_overlap=yes \
+			   vim_cv_stat_ignores_slash=yes \
+			   vim_cv_terminfo=yes \
+			   vim_cv_toupper_broken=no
+	fi
+
+	econf \
+		--with-modified-by=Gentoo-${PVR} \
+		--with-vim-name=gvim \
+		--with-x \
+		"${myconf[@]}"
+}
+
+src_compile() {
+	# The following allows emake to be used
+	emake -j1 -C src auto/osdef.h objects
+
+	emake
+}
+
+src_test() {
+	einfo
+	einfo "Starting vim tests. Several error messages will be shown"
+	einfo "while the tests run. This is normal behaviour and does not"
+	einfo "indicate a fault."
+	einfo
+	ewarn "If the tests fail, your terminal may be left in a strange"
+	ewarn "state. Usually, running 'reset' will fix this."
+	einfo
+
+	# Don't let vim talk to X
+	unset DISPLAY
+
+	# Make gvim not try to connect to X. See :help gui-x11-start in vim for how
+	# this evil trickery works.
+	ln -s "${S}"/src/gvim "${S}"/src/testvim || die
+
+	# Make sure our VIMPROG is used.
+	sed -i -e 's:\.\./vim:../testvim:' src/testdir/test49.vim || die
+
+	# Don't do additional GUI tests.
+	emake -j1 VIMPROG=../testvim -C src/testdir nongui
+}
+
+# Call eselect vi update with --if-unset
+# to respect user's choice (bug 187449)
+eselect_vi_update() {
+	ebegin "Calling eselect vi update"
+	eselect vi update --if-unset
+	eend $?
+}
+
+src_install() {
+	local vimfiles=/usr/share/vim/vim${VIM_VERSION/.}
+
+	dobin src/gvim
+	dosym gvim /usr/bin/gvimdiff
+	dosym gvim /usr/bin/evim
+	dosym gvim /usr/bin/eview
+	dosym gvim /usr/bin/gview
+	dosym gvim /usr/bin/rgvim
+	dosym gvim /usr/bin/rgview
+
+	emake -C src DESTDIR="${D}" DATADIR="${EPREFIX}"/usr/share install-icons
+
+	dodir /usr/share/man/man1
+	echo ".so vim.1" > "${ED}"/usr/share/man/man1/gvim.1 || die "echo failed"
+	echo ".so vim.1" > "${ED}"/usr/share/man/man1/gview.1 || die "echo failed"
+	echo ".so vimdiff.1" > "${ED}"/usr/share/man/man1/gvimdiff.1 || \
+		die "echo failed"
+
+	insinto /etc/vim
+	newins "${FILESDIR}"/gvimrc-r1 gvimrc
+	eprefixify "${ED}"/etc/vim/gvimrc
+
+	# bash completion script, bug #79018.
+	newbashcomp "${FILESDIR}"/${PN}-completion ${PN}
+
+	# don't install vim desktop file
+	rm -v "${ED}"/usr/share/applications/vim.desktop || die "failed to remove vim.desktop"
+}
+
+pkg_postinst() {
+	# update documentation tags (from vim-doc.eclass)
+	update_vim_helptags
+
+	# update fdo mime stuff, bug #78394
+	xdg_desktop_database_update
+
+	# update icon cache
+	xdg_icon_cache_update
+
+	# call eselect vi update
+	eselect_vi_update
+}
+
+pkg_postrm() {
+	# update documentation tags (from vim-doc.eclass)
+	update_vim_helptags
+
+	# update fdo mime stuff, bug #78394
+	xdg_desktop_database_update
+
+	# update icon cache
+	xdg_icon_cache_update
+
+	# call eselect vi update
+	eselect_vi_update
+}


             reply	other threads:[~2023-06-21  7:04 UTC|newest]

Thread overview: 287+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-06-21  7:04 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-28  4:33 [gentoo-commits] repo/gentoo:master commit in: app-editors/gvim/ Eli Schwartz
2024-08-28  4:33 Eli Schwartz
2024-08-21 19:08 Eli Schwartz
2024-06-26 14:42 Ionen Wolkens
2024-06-26  5:45 Joonas Niilola
2024-06-26  5:45 Joonas Niilola
2024-06-07  8:43 Arthur Zamarin
2024-06-07  6:55 Arthur Zamarin
2024-06-07  5:14 Arthur Zamarin
2024-06-06 17:28 Arthur Zamarin
2024-06-06 17:09 Arthur Zamarin
2024-06-06  0:45 Sam James
2024-05-19 15:34 Mike Gilbert
2024-04-26 21:01 Sam James
2024-02-17 21:43 John Helmert III
2024-01-30  4:05 Ionen Wolkens
2024-01-15  8:33 Arthur Zamarin
2024-01-15  8:33 Arthur Zamarin
2024-01-15  8:33 Arthur Zamarin
2024-01-15  8:33 Arthur Zamarin
2023-12-29  9:25 Arthur Zamarin
2023-12-29  9:25 Arthur Zamarin
2023-12-29  9:25 Arthur Zamarin
2023-12-29  9:25 Arthur Zamarin
2023-12-29  9:25 Arthur Zamarin
2023-12-29  9:24 Arthur Zamarin
2023-12-29  9:24 Arthur Zamarin
2023-12-17 10:49 Hans de Graaff
2023-12-15 16:50 Arthur Zamarin
2023-12-15 16:50 Arthur Zamarin
2023-12-10 11:46 Arthur Zamarin
2023-12-10 11:46 Arthur Zamarin
2023-12-08 20:56 Arthur Zamarin
2023-12-08 20:56 Arthur Zamarin
2023-12-08 20:56 Arthur Zamarin
2023-12-08 19:29 Arthur Zamarin
2023-12-08 19:29 Arthur Zamarin
2023-12-02 14:53 Arthur Zamarin
2023-12-02 14:52 Arthur Zamarin
2023-12-02 14:52 Arthur Zamarin
2023-12-02 14:52 Arthur Zamarin
2023-12-02 14:52 Arthur Zamarin
2023-11-22 17:44 Sam James
2023-09-03 11:01 Joonas Niilola
2023-09-03 11:01 Joonas Niilola
2023-08-23  2:23 Mike Gilbert
2023-08-21 16:21 Mike Gilbert
2023-08-08  3:56 Sam James
2023-08-07  5:43 Sam James
2023-07-16  6:56 Joonas Niilola
2023-07-15  8:20 Arthur Zamarin
2023-06-13 18:59 Arthur Zamarin
2023-06-13 18:59 Arthur Zamarin
2023-06-13 18:59 Arthur Zamarin
2023-06-09  3:40 John Helmert III
2023-05-01  1:35 Sam James
2023-05-01  1:35 Sam James
2023-04-29 15:44 Arthur Zamarin
2023-04-29 15:44 Arthur Zamarin
2023-04-29 15:44 Arthur Zamarin
2023-04-29 15:44 Arthur Zamarin
2023-04-29 15:44 Arthur Zamarin
2023-04-21  6:29 Joonas Niilola
2023-04-21  6:29 Joonas Niilola
2023-04-14  1:06 Sam James
2023-04-04 12:45 Joonas Niilola
2023-03-22  1:20 Sam James
2023-03-04  7:18 Sam James
2023-02-28 16:28 Ben Kohler
2023-02-28 16:28 Ben Kohler
2023-02-28 14:10 Joonas Niilola
2023-02-28 14:10 Joonas Niilola
2023-02-26 19:21 Arthur Zamarin
2023-02-23 20:30 Arthur Zamarin
2023-02-23 20:30 Arthur Zamarin
2023-02-23 20:30 Arthur Zamarin
2023-02-23 20:30 Arthur Zamarin
2023-02-23 20:28 Arthur Zamarin
2023-02-23 20:28 Arthur Zamarin
2023-02-18  4:33 Sam James
2023-02-13  2:09 Sam James
2023-02-10  4:27 Sam James
2023-01-08  4:55 Sam James
2022-12-18 20:24 Arthur Zamarin
2022-12-18 20:24 Arthur Zamarin
2022-12-18 20:24 Arthur Zamarin
2022-12-18 20:24 Arthur Zamarin
2022-12-18 20:24 Arthur Zamarin
2022-12-18 20:24 Arthur Zamarin
2022-12-18 20:24 Arthur Zamarin
2022-12-05  4:37 Sam James
2022-12-05  4:37 Sam James
2022-11-03  6:35 Sam James
2022-10-04 13:36 Sam James
2022-10-04 13:29 Sam James
2022-10-04 13:29 Sam James
2022-10-04 13:29 Sam James
2022-10-04 13:29 Sam James
2022-10-04 13:29 Sam James
2022-08-23  5:24 Sam James
2022-08-17  7:09 Agostino Sarubbo
2022-08-16 18:54 Arthur Zamarin
2022-08-16 18:54 Arthur Zamarin
2022-08-16 18:54 Arthur Zamarin
2022-08-16 18:54 Arthur Zamarin
2022-08-16 18:54 Arthur Zamarin
2022-08-15  7:40 Agostino Sarubbo
2022-07-29 14:24 Mike Gilbert
2022-07-29 14:24 Mike Gilbert
2022-07-26 20:36 Sam James
2022-07-19 21:16 Mike Gilbert
2022-07-19 21:16 Mike Gilbert
2022-06-09 21:17 Mike Gilbert
2022-06-09  0:26 Mike Gilbert
2022-06-08  7:10 Sam James
2022-06-08  7:09 Sam James
2022-06-03 11:21 Agostino Sarubbo
2022-06-03 11:20 Agostino Sarubbo
2022-06-03 11:19 Agostino Sarubbo
2022-06-03 11:18 Agostino Sarubbo
2022-06-03 11:18 Agostino Sarubbo
2022-06-03 11:17 Agostino Sarubbo
2022-06-03 11:16 Agostino Sarubbo
2022-05-19 13:36 Agostino Sarubbo
2022-05-19  9:29 Agostino Sarubbo
2022-03-21 23:42 Sam James
2022-03-06  8:54 Agostino Sarubbo
2022-03-03 12:49 Agostino Sarubbo
2022-03-03  7:34 Agostino Sarubbo
2022-03-03  7:34 Agostino Sarubbo
2022-03-03  7:33 Agostino Sarubbo
2022-03-02 19:54 John Helmert III
2022-03-02  9:06 Agostino Sarubbo
2022-03-02  6:52 Agostino Sarubbo
2022-03-02  6:51 Agostino Sarubbo
2022-03-02  6:50 Agostino Sarubbo
2022-03-02  6:49 Agostino Sarubbo
2022-02-09 11:39 Sam James
2022-02-09 11:29 Sam James
2022-01-09  1:15 Sam James
2022-01-09  1:14 Sam James
2021-12-31 17:37 Arthur Zamarin
2021-12-22  0:48 Sam James
2021-12-19 22:09 Agostino Sarubbo
2021-12-19 19:21 Jakov Smolić
2021-12-17 12:00 Sam James
2021-12-17 10:41 Arthur Zamarin
2021-12-17  7:33 Arthur Zamarin
2021-12-16  2:34 Sam James
2021-12-08  6:23 Sam James
2021-12-08  6:21 Sam James
2021-11-25  0:12 Sam James
2021-11-24 16:47 Sam James
2021-11-23 17:02 Sam James
2021-11-23 10:48 Sam James
2021-11-22 10:01 Sam James
2021-11-20 10:24 Arthur Zamarin
2021-11-19 15:05 Sam James
2021-11-19 15:05 Sam James
2021-11-19 15:05 Sam James
2021-11-13  3:09 Sam James
2021-11-06  1:33 Sam James
2021-11-02 14:52 Sam James
2021-10-29 18:30 Sam James
2021-10-29 13:02 Sam James
2021-10-29 12:32 Sam James
2021-10-09  3:57 Sam James
2021-10-03 21:18 Sam James
2021-05-24 18:52 Michał Górny
2021-03-26  8:50 Conrad Kostecki
2021-02-27 10:09 Sam James
2021-01-23 22:42 Sam James
2021-01-06 13:03 Fabian Groffen
2020-12-13  0:16 Sam James
2020-07-04 20:38 Patrice Clement
2020-05-24 11:04 Mikle Kolyada
2020-04-25 15:14 Mikle Kolyada
2020-04-04 12:26 Mikle Kolyada
2020-04-04 12:17 Thomas Deutschmann
2020-04-04 10:13 Mikle Kolyada
2020-04-04  8:11 Mikle Kolyada
2020-04-03  9:10 Mikle Kolyada
2020-04-03  9:01 Mikle Kolyada
2020-04-03  9:01 Mikle Kolyada
2020-04-03  9:01 Mikle Kolyada
2020-04-03  8:58 Mikle Kolyada
2020-04-03  8:53 Mikle Kolyada
2020-04-02 17:55 Sergei Trofimovich
2020-04-02  6:22 Georgy Yakovlev
2020-03-07  6:51 Mikle Kolyada
2020-02-06 20:46 Tim Harder
2020-02-05  5:14 Tim Harder
2020-01-13  1:45 Tim Harder
2019-12-29 21:29 Mikle Kolyada
2019-08-14 23:59 Tim Harder
2019-07-28 10:42 Mikle Kolyada
2019-06-17  9:56 Mikle Kolyada
2019-06-15  9:24 Sergei Trofimovich
2019-06-14 15:01 Agostino Sarubbo
2019-06-14  9:26 Agostino Sarubbo
2019-06-14  9:18 Agostino Sarubbo
2019-06-13 20:02 Sergei Trofimovich
2019-06-13 15:10 Agostino Sarubbo
2019-06-13 14:16 Agostino Sarubbo
2019-06-13 12:21 Tobias Klausmann
2019-06-07  7:38 Tim Harder
2019-05-10  8:42 Tim Harder
2019-04-21  8:21 Tim Harder
2019-04-12  6:16 Tim Harder
2019-04-11 19:15 Sergei Trofimovich
2019-04-08 19:33 Aaron Bauman
2019-04-08 18:04 Aaron Bauman
2019-04-06 15:31 Mikle Kolyada
2019-04-05 19:03 Sergei Trofimovich
2019-04-03  7:10 Mikle Kolyada
2019-03-30 18:08 Mikle Kolyada
2019-03-25 21:49 Patrice Clement
2018-12-28 22:25 Tim Harder
2018-12-28  9:08 Tim Harder
2018-11-28  9:58 Michał Górny
2018-09-20  5:31 Tim Harder
2018-09-20  5:31 Tim Harder
2018-08-26  8:25 Michał Górny
2018-06-06  2:31 Tim Harder
2018-05-12 21:10 Patrice Clement
2018-04-12  5:45 Tim Harder
2018-04-08 21:37 Patrice Clement
2018-03-31 18:41 Mart Raudsepp
2018-03-25 22:38 Tim Harder
2018-01-20 18:04 Tobias Klausmann
2018-01-07 20:53 Markus Meier
2018-01-07 11:19 Sergei Trofimovich
2018-01-05 10:58 Tim Harder
2017-12-27 11:50 Sergei Trofimovich
2017-12-26 10:45 Sergei Trofimovich
2017-12-25 18:29 Sergei Trofimovich
2017-12-20 13:40 Thomas Deutschmann
2017-12-20 13:09 Agostino Sarubbo
2017-11-15  3:57 Tim Harder
2017-11-15  3:57 Tim Harder
2017-10-26 13:01 Patrice Clement
2017-10-25 20:51 Patrice Clement
2017-10-25 20:51 Patrice Clement
2017-10-13 21:39 Tim Harder
2017-09-05  6:39 Tim Harder
2017-08-31 13:46 Tim Harder
2017-08-22  3:58 Tim Harder
2017-08-14  5:39 Tim Harder
2017-06-06 17:42 Patrice Clement
2017-05-27 15:19 Michał Górny
2017-03-10 16:59 Michael Weber
2017-03-08  5:58 Markus Meier
2017-03-05  1:01 Jeroen Roovers
2017-03-04 14:02 Agostino Sarubbo
2017-03-04 13:46 Agostino Sarubbo
2017-03-04 13:38 Agostino Sarubbo
2017-03-03 19:14 Tobias Klausmann
2017-03-01  8:00 Tim Harder
2017-02-28  0:57 Tim Harder
2017-01-29 14:38 Fabian Groffen
2017-01-09 14:17 Jeroen Roovers
2016-12-17 15:32 Markus Meier
2016-12-02 14:21 Tobias Klausmann
2016-12-01 12:53 Agostino Sarubbo
2016-12-01 12:50 Agostino Sarubbo
2016-12-01  0:24 Tim Harder
2016-09-15 15:33 Tim Harder
2016-09-15 15:33 Tim Harder
2016-09-15  4:33 Tim Harder
2016-07-26  4:23 Tim Harder
2016-05-08  2:53 Tim Harder
2016-05-08  2:48 Tim Harder
2016-04-20  3:21 Michał Górny
2016-03-17  2:10 Tim Harder
2016-02-17  8:15 Ole Reifschneider
2016-02-01  5:05 Tim Harder
2016-02-01  5:05 Tim Harder
2016-01-23 17:19 Tim Harder
2016-01-14  1:39 Tim Harder
2015-09-06  6:23 Jeroen Roovers
2015-09-01 16:06 Markus Meier
2015-08-30 12:51 Tobias Klausmann
2015-08-27 10:13 Mikle Kolyada
2015-08-27  9:58 Agostino Sarubbo
2015-08-25  3:25 Tim Harder
2015-08-25  3:25 Tim Harder

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1687331022.65db5add7f6c8eafe99088836584194377ac6969.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox